Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.fork
[Groovy] Class ForkedGrailsProcessConfig

    java.lang.Object
      org.codehaus.groovy.grails.cli.fork.ForkedGrailsProcessConfig

    @groovy.transform.CompileStatic
    class ForkedGrailsProcessConfig
    extends java.lang.Object

Configuration for a forked process

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`boolean` | `debug`
`boolean` | `forked`
`java.lang.Integer` | `maxMemory`
`java.lang.Integer` | `maxPerm`
`java.lang.Integer` | `minMemory`

Constructor Summary
`ForkedGrailsProcessConfig(java.lang.Object config)`
`ForkedGrailsProcessConfig()`

Method Summary
`java.util.Map` | `asMap()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### debug

    boolean debug

### forked

    boolean forked

### maxMemory

    java.lang.Integer maxMemory

### maxPerm

    java.lang.Integer maxPerm

### minMemory

    java.lang.Integer minMemory

Constructor Detail

### ForkedGrailsProcessConfig

    ForkedGrailsProcessConfig(java.lang.Object config)

### ForkedGrailsProcessConfig

    ForkedGrailsProcessConfig()

Method Detail

### asMap

    java.util.Map asMap()

Groovy Documentation